
Redmine - Defect #22402

Files module does not work  - TypeError (no implicit conversion of nil into String)

2016-04-05 17:16 - Slim inbox.lv

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Files Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 2.6.9

Description

Files module does not work under Passenger

log/production.log:

Started GET "/projects/akvarius-network/files" for 10.23.12.44 at 2016-04-05 18:08:23 +0300

Processing by FilesController#index as HTML

  Parameters: {"project_id"=>"akvarius-network"}

  Current user: deniss (id=42)

Completed 500 Internal Server Error in 13.4ms

TypeError (no implicit conversion of nil into String):

  app/controllers/files_controller.rb:34:in `index'

 ruby script/about

Environment:

  Redmine version                2.6.9.stable

  Ruby version                   2.3.0-p0 (2015-12-25) [x86_64-linux]

  Rails version                  3.2.22

  Environment                    production

  Database adapter               Mysql2

SCM:

  Git                            2.8.0

  Filesystem                     

Redmine plugins:

  no plugin installed

History

#1 - 2016-04-06 08:26 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Invalid

Redmine 2.6 does not support Ruby 2.3.
